package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 高层次人才认定
 * </p>
 *
 * @author jobob
 * @since 2020-12-21
 */
@TableName("V_RS_ZJ_GCCRC_QF")
@ApiModel(value="RsZjGccrcQf对象", description="高层次人才签发")
public class VRsZjGccrcQf {

    @ApiModelProperty(value = "高层次人才签发ID")
    @TableId(value = "RS_ZJ_GCCRC_QF_LSH", type = IdType.ASSIGN_UUID)
    private String rsZjGccrcQfLsh;
    
    @ApiModelProperty(value = "高层次人才ID")
    @TableField("RS_ZJ_GCCRC_LSH")
    private String rsZjGccrcLsh;

    @ApiModelProperty(value = "签发时间")
    @TableField("QFSJ")
    private String qfsj;
    
    @ApiModelProperty(value = "签发人")
    @TableField("QFR")
    private String qfr;
    
    @ApiModelProperty(value = "电子照片统一存储id")
    @TableField("TYCCID")
    private String tyccid;
    
    @ApiModelProperty(value = "国家/地区代码")
    @TableField("AAC161")
    private String aac161;
    
    @ApiModelProperty(value = "姓名")
    @TableField("AAC003")
    private String aac003;
    
    @ApiModelProperty(value = "证件类型")
    @TableField("AAC058")
    private String aac058;
    
    @ApiModelProperty(value = "证件号码")
    @TableField("AAC147")
    private String aac147;
    
    @ApiModelProperty(value = "认定湛江人才卡类型")
    @TableField("RCKLX")
    private String rcklx;
    
    @ApiModelProperty(value = "单位名称")
    @TableField("DWMC")
    private String dwmc;
    
    @ApiModelProperty(value = "有效日期")
    @TableField("YXRQ")
    private String yxrq;
    
    @ApiModelProperty(value = "人才卡号码")
    @TableField("RCKHM")
    private String rckhm;
    
    @ApiModelProperty(value = "有效标志")
    @TableField("TS_YXBZ")
    private String tsYxbz;

	public String getRsZjGccrcQfLsh() {
		return rsZjGccrcQfLsh;
	}

	public void setRsZjGccrcQfLsh(String rsZjGccrcQfLsh) {
		this.rsZjGccrcQfLsh = rsZjGccrcQfLsh;
	}

	public String getRsZjGccrcLsh() {
		return rsZjGccrcLsh;
	}

	public void setRsZjGccrcLsh(String rsZjGccrcLsh) {
		this.rsZjGccrcLsh = rsZjGccrcLsh;
	}

	public String getQfsj() {
		return qfsj;
	}

	public void setQfsj(String qfsj) {
		this.qfsj = qfsj;
	}

	public String getQfr() {
		return qfr;
	}

	public void setQfr(String qfr) {
		this.qfr = qfr;
	}

	public String getTyccid() {
		return tyccid;
	}

	public void setTyccid(String tyccid) {
		this.tyccid = tyccid;
	}

	public String getAac161() {
		return aac161;
	}

	public void setAac161(String aac161) {
		this.aac161 = aac161;
	}

	public String getAac003() {
		return aac003;
	}

	public void setAac003(String aac003) {
		this.aac003 = aac003;
	}

	public String getAac058() {
		return aac058;
	}

	public void setAac058(String aac058) {
		this.aac058 = aac058;
	}

	public String getAac147() {
		return aac147;
	}

	public void setAac147(String aac147) {
		this.aac147 = aac147;
	}

	public String getRcklx() {
		return rcklx;
	}

	public void setRcklx(String rcklx) {
		this.rcklx = rcklx;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getYxrq() {
		return yxrq;
	}

	public void setYxrq(String yxrq) {
		this.yxrq = yxrq;
	}

	public String getRckhm() {
		return rckhm;
	}

	public void setRckhm(String rckhm) {
		this.rckhm = rckhm;
	}

	public String getTsYxbz() {
		return tsYxbz;
	}

	public void setTsYxbz(String tsYxbz) {
		this.tsYxbz = tsYxbz;
	}
}    